#
# spec file for package scim-skk
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           scim-skk
Version:        0.5.2
Release:        318.2
Summary:        SKK Input Method Engine for SCIM
License:        GPL-2.0+
Group:          System/I18n/Japanese
Url:            http://sourceforge.jp/projects/scim-imengine/
Source0:        http://osdn.dl.sourceforge.jp/scim-imengine/15351/scim-skk-0.5.2.tar.bz2
Patch0:         commit-when-focus-out.patch
Patch2:         missing-includes.patch
Patch3:         scim-skk-iter-remove-fix.diff
Patch4:         scim-skk-fix-returns.diff
#PATCH-FOR-UPSTREAM fix builds against latest gtk.
Patch5:         gtk-2.24+-replace-functions.patch
BuildRequires:  anthy-devel
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  scim-devel
BuildRequires:  update-desktop-files
Requires:       skkdic
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SKK Input Method Engine for SCIM

%prep
%setup -q
%patch0 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
CXXFLAGS="%{optflags}" \
%configure \
    --disable-static \
    --enable-debug
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -name "*.la" -delete -print
%find_lang %{name}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README* ChangeLog TODO
%{_scim_enginedir}/skk.so
%if 0%{?suse_version} >= 1140
%{_scim_uidir}/skk-imengine-setup.so
%endif
%{_scim_icondir}/scim-skk.png

%changelog
* Wed Sep 16 2015 i@marguerite.su
- remove always enabled macro: scim_gtk3
- remove SLE_10 hacks
  * drop patch libtool-options.patch
- add pkg-config as dependency to fix build of SLE_11_SP3/4
* Thu Sep 13 2012 hillwood@linuxfans.org
- build with gtk3
* Tue Jun 12 2012 tiwai@suse.de
- remove locale provides for avoiding automatic installation
- disable gtk3-migration patches temporarily (can be enabled by
  defining scim_gtk3=1)
* Tue Jun 12 2012 mgorse@suse.com
- More gtk3 fixes
* Sun Jun 10 2012 i@marguerite.su
- fix gtk3 builds for factory.
* Wed Mar 24 2010 tiwai@suse.de
- fix builds on FACTORY; suppress the compile warnings
  (the problematic part is anyway in a dead code).
* Mon Feb 22 2010 coolo@novell.com
- remove autoreconf for newer distributions
* Tue Aug  4 2009 tiwai@suse.de
- fix bad C++STL erase (bnc#517549)
* Wed Nov  7 2007 mfabian@suse.de
- add missing includes to fix build with gcc 4.3.0.
* Sat Oct 28 2006 meissner@suse.de
- added missing \ to enable optflags.
* Thu Oct 12 2006 mfabian@suse.de
- fix to build with scim 1.4.5.
* Fri Feb 24 2006 zsu@suse.de
- add Provides: locale(scim:ja)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 zsu@suse.de
- update to 0.5.2
* Wed Oct 19 2005 mfabian@suse.de
- make it build with gcc 4.1.
* Fri Aug  5 2005 mfabian@suse.de
- update to 0.3.0.
* Tue Jun  7 2005 mfabian@suse.de
- update to 0.2.1.
* Mon Jan 24 2005 mfabian@suse.de
- new package: scim-skk, version 0.1.2.
